Name:           trilead-putty-extension
Version:        1.2
Release:        2%{?dist}
Summary:        Extension to trilead-ssh2 for handling PuTTY keys

License:        MIT
URL:            https://github.com/kohsuke/%{name}
Source0:        https://github.com/kohsuke/%{name}/archive/%{name}-%{version}.tar.gz
# License text copied from header of one of the .java files
# Upstream doesn't care much about license texts in repository
# same upstream, different project: https://github.com/jenkinsci/remoting/pull/14
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.kohsuke:pom)
BuildRequires:  mvn(org.tmatesoft.svnkit:trilead-ssh2)

BuildArch:      noarch

%description
This is a small library that allows you to programatically convert
the PuTTY key file (.ppk) to the OpenSSH format.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
This package contains API javadoc documentation for %{name}


%prep
%setup -q -n %{name}-%{name}-%{version}

# Fix trilead-ssh2 groupId
%pom_xpath_replace "pom:dependency[pom:artifactId[text()='trilead-ssh2']]/pom:groupId" \
  "<groupId>org.tmatesoft.svnkit</groupId>"

cp %{SOURCE1} LICENSE

# Disable debugging
%mvn_config "resolverSettings/debug" "false"

%build
%mvn_build

%install
%mvn_install


%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE
%files javadoc -f .mfiles-javadoc
%doc LICENSE


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 28 2013 Michal Srb <msrb@redhat.com> - 1.2-1
- Initial package

